/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.common.message;

/**
 * メッセージリソース
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class MessageResource {
	/** メッセージID */
	private final String msgCode;
	/** 引数 */
	private final Object[] parameters;

	/**
	 * コンストラクタ
	 * @param code メッセージID
	 */
	public MessageResource(String code) {
		msgCode = code;
		parameters = new Object[0];
	}
	/**
	 * コンストラクタ
	 * @param code メッセージID
	 * @param o1 第1引数
	 */
	public MessageResource(String code, Object o1) {
		msgCode = code;
		parameters = new Object[] {o1};
	}
	/**
	 * コンストラクタ
	 * @param code メッセージID
	 * @param o1 第1引数
	 * @param o2 第2引数
	 */
	public MessageResource(String code, Object o1, Object o2) {
		msgCode = code;
		parameters = new Object[] {o1, o2};
	}
	/**
	 * コンストラクタ
	 * @param code メッセージID
	 * @param o1 第1引数
	 * @param o2 第2引数
	 * @param o3 第3引数
	 */
	public MessageResource(String code, Object o1, Object o2, Object o3) {
		msgCode = code;
		parameters = new Object[] {o1, o2, o3};
	}
	/**
	 * コンストラクタ
	 * @param code メッセージID
	 * @param params 引数
	 */
	public MessageResource(String code, Object[] params) {
		msgCode = code;
		parameters = params;
	}
	/**
	 * メッセージIDを返す
	 * @return メッセージID
	 */
	public String getMsgCode() {
		return msgCode;
	}
	/**
	 * 引数を返す
	 * @return 引数
	 */
	public Object[] getParameters() {
		return parameters;
	}
}
